Subject: Re: [PATCH] net: sfp: handle 100G/25G active optical cables in sfp_parse_support

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 10 Aug 2023 11:39:38 +0100

On Thu, Aug 10, 2023 at 11:48:17AM +0200, Josua Mayer wrote:
> Handle extended compliance code 0x1 (SFF8024_ECC_100G_25GAUI_C2M_AOC)
> for active optical cables supporting 25G and 100G speeds.
> 
> Since the specification makes no statement about transmitter range, and
> as the specific sfp module that had been tested features only 2m fiber -
> short-range (SR) modes are selected.
> 
> sfp_parse_support already handles SFF8024_ECC_100GBASE_SR4_25GBASE_SR
> with compatible properties: 100000baseSR4; 25000baseSR; protocol 25gbase-r.
> Add SFF8024_ECC_100G_25GAUI_C2M_AOC to the same case.
> 
> Tested with fs.com S28-AO02 AOC SFP28 module.
> 
> Signed-off-by: Josua Mayer <[email-masked]>

Thanks. I think I would like one extra change:

> +	case SFF8024_ECC_100G_25GAUI_C2M_AOC:
>  	case SFF8024_ECC_100GBASE_SR4_25GBASE_SR:
>  		phylink_set(modes, 100000baseSR4_Full);

Since SFPs are single lane, SR4 doesn't make sense (which requires
four lanes), and I shouldn't have added it when adding these modes.
It would be a good idea to drop that, or at least for the
addition of the SFF8024_ECC_100G_25GAUI_C2M_AOC case.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!